q0rban
Repos
82
Followers
63
Following
37

Events

chore: upgrade to Tugboat v2.21.12 - v2.22.7

Please reach out to support@tugboatqa.com if you'd like to schedule some time to work on this together with a Tugboat engineer.

Created at 1 week ago
chore: upgrade to Tugboat v2.21.12 - v2.22.7

Thanks for your patience in this process, once you're on mongo 5.0, we won't need to do this again, as 5.0 allows for backwards compatibility. Once you all are on version v2.22.3, you'll be free to upgrade to newer versions (such as v2.22.7) without having to carefully step through in this manner.

  • [ ] Change directories to the Tugboat root: cd /opt/tugboat
  • [ ] Fetch the latest tags: git fetch --tags
  • [ ] Checkout the tag (e.g. git checkout v2.22.7)
  • [ ] Build: make && make install
  • [ ] Reload Tugboat: tbctl reload
  • [ ] Wait for Tugboat to start up successfully. For the lazy: wget --quiet -O- --tries=100 --retry-on-http-error=404,502,503 --retry-connrefused https://[tugboat-dashboard-host]/_status

Here's the changelog from v2.21.12 to v2.22.7 (which is the latest release as of today Sep 20, 2022):

# Change Log

## v2.22.7 - 23 August, 2022

* #4323 chore: bump socket.io from 4.4.1 to 4.5.1
* #1850 feat: add browser notifications when previews are ready
* #4356 feat: include the domain as the namespace for traces
* #3352 feat: allow for reauthenticating repository from the UI
* #4357 feat: add service specific telemetry options
* #4361 fix: correct breadcrumb typo of Downloads
* #4338 chore: bump terser from 5.9.0 to 5.14.2
* #4352 chore: bump xterm from 4.14.1 to 4.19.0
* #4282 chore: bump react-router-dom from 5.3.0 to 5.3.3
* #4363 fix: exit agent process if agent-proxy throws uncaught exception
* #4373 fix: establish socket with agent-proxy over an interval
* #4381 fix: fix typo in cli list help
* #4367 chore: bump redoc from 2.0.0-rc.56 to 2.0.0-rc.74
* #4372 chore: bump prettier from 2.4.1 to 2.7.1
* #4320 chore: bump parse-url from 6.0.0 to 6.0.2
* #4376 fix: tar up older backups to reduce disk usage

## v2.22.6 - 23 July, 2022

* #4301 chore: bump glob from 7.2.0 to 7.2.3
* #4300 chore: bump sass-loader from 12.3.0 to 12.6.0
* #4297 chore: bump loglevel from 1.7.1 to 1.8.0
* #4311 chore: bump winston from 2.4.5 to 2.4.6
* #4299 chore: bump @opentelemetry/sdk-trace-node from 1.2.0 to 1.3.1
* #4312 chore: bump css-minimizer-webpack-plugin from 3.1.1 to 3.4.1
* #4316 chore: bump query-string from 7.0.1 to 7.1.1
* #4315 chore: bump eslint-plugin-jsx-a11y from 6.4.1 to 6.6.0
* #4321 fix: restore chrome dependencies in node:14 image
* #4303 fix: remove e2e hard coded classes
* #4255 feat: local dev support for arm64 using parallels
* #4307 chore: bump jpeg-js from 0.4.3 to 0.4.4
* #4331 fix: choose appropriate agent during tugboat rebuild screenshots
* #3683 fix: handle splash screen for suspending previews
* #4326 fix: handle GitLab refresh tokens on the server
* #3429 feat: add option to not build / rebuild draft PRs
* #4330 chore: bump moment from 2.29.3 to 2.29.4
* #4329 chore: bump express-session from 1.17.2 to 1.17.3
* #4324 fix: handle gitlab refresh token race condition
* #4324 fix: ensure refreshed token is used after first gitlab api call

## v2.22.5 - 21 June, 2022

* #4249 chore: bump moment from 2.29.1 to 2.29.3
* #4220 chore: bump prismjs from 1.25.0 to 1.27.0
* #4204 chore: security upgrade sharp from 0.29.2 to 0.29.3
* #4215 chore: Bump simple-get from 3.1.0 to 3.1.1
* #4046 chore: Bump path-parse from 1.0.6 to 1.0.7
* #4099 chore: Bump tmpl from 1.0.4 to 1.0.5
* #4251 chore: Bump core-js from 3.17.3 to 3.22.2
* #4216 chore: Bump follow-redirects from 1.13.0 to 1.14.8
* #4150 chore: Bump passport-oauth2 from 1.5.0 to 1.6.1
* #4180 chore: Upgrade parse-link-header from 1.0.1 to 2.0.0
* #4211 chore: Bump @babel/plugin-transform-runtime from 7.14.5 to 7.17.0
* #4259 chore: Bump node-schedule from 2.0.0 to 2.1.0
* #4260 chore: Bump semver from 7.3.5 to 7.3.7
* #4264 chore: bump @babel/preset-env from 7.15.6 to 7.17.10
* #4263 chore: Bump mocha from 9.1.3 to 9.2.2
* #4258 chore: Bump chart.js from 3.6.0 to 3.7.1
* #4190 chore: Security upgrade socket.io from 4.3.1 to 4.4.0
* #4268 chore: Bump eslint-plugin-import from 2.24.2 to 2.26.0
* #4285 chore: Security upgrade sharp from 0.29.3 to 0.30.5
* #4283 chore: bump mini-css-extract-plugin from 2.4.3 to 2.6.0
* #3966 feat: Add quick search to repos, projects and previews
* #4233 feat: provide open telemetry tracing to Tugboat services
* #4296 chore: bump eslint-plugin-react-hooks from 4.2.0 to 4.6.0
* #4295 chore: bump protobufjs from 6.11.2 to 6.11.3
* #4291 chore: bump postcss-scss from 4.0.2 to 4.0.4
* #4270 chore: bump express from 4.17.1 to 4.18.1
* #4269 chore: bump nodemailer from 6.7.0 to 6.7.5
* #4298 chore: bump chart.js from 3.7.1 to 3.8.0
* #4281 fix: refresh oauth gitlab tokens for repos
* #4302 fix: allow searchInfo to be empty

## v2.22.4 - 16 May, 2022

* #4252 fix: clean orphaned containers via iteration
* #4277 fix: switch tugboat.qa to tugboatqa.com

## v2.22.3 - 16 April, 2022

* #4222 fix: write local reference to tag when fetching
* #4226 fix: use bitbucket workspace.slug instead of owner.nickname / owner.username
* #4231 fix: write error to http-proxy response only if it is present
* #4229 fix: increase apache ServerLimit to accommodate more traffic
* #3863 feat: upgrade MongoDB featureCompatibilityVersion to 5.0
* #4238 fix: clean up orphaned preview data
* #4246 fix: do not allow clean-agent.sh to run on manager servers
* #4234 feat: change splash page http response from 503 to 418

## v2.22.2 - 12 February, 2022

* #4201 fix: update gitlab oauth scope to api
* #4206 fix: only trigger GitLab MR webhook when new commits are pushed
* #4036 fix: ensure correct agent when base preview is rebuilt
* #4212 fix: emit error 1132 if pulling docker image fails

## v2.22.1 - 22 January, 2022

* #4173 tests: update splash template snapshot
* #4157 fix: catch and cleanup temp git previews in git.getYML
* #3863 chore: update mongo images to 5.0
* #4181 fix: remove errant exit command from git.getYML
* #4136 chore: clean up preview sort regression technical debt
* #4193 fix: increase email attachment size to 10mb
* #4196 fix: log smtp errors appropriately

## v2.21.20 - 23 December, 2021

* #4170 fix: use websocket transport for splash page

## v2.21.19 - 13 December, 2021

* #4168 fix: prevent hamburger click from bubbling immediately

## v2.21.18 - 11 December, 2021

* #4093 chore: update npm deps to latest majors
* #4093 fix: set `strictQuery: false` on all schemas, passport `pid` querying
* #4129 docs:  document the current Enzyme testing decision
* #4159 feat: during agent cleanup, only delete dangling git previews for the current agent
* #4104 chore: React17 update, use community enzyme adapter
* #4122 chore: set mongo featureCompatibilityVersion to 4.4
* #4162 fix: correct grammar in connected provider message
* #4132 feat: add specific error messages and more validation to Envvars Import
* #4166 fix: use --no-recurse-submodules during git fetch
* #4122 fix: continue using batchSize in mongorestore with Mongo 4.4
* #4157 fix: use alpine:3.14 for compatibility with older git SSH implementations

## v2.21.17 - 02 November, 2021

* #4134 fix: list base previews without sorting

## v2.21.16 - 01 November, 2021

* #4122 chore: update mongo images to 4.4
* #3898 feat: remember Preview sorting
* #4127 fix: Make sure ui server exits if error during startup

## v2.21.15 - 09 October, 2021

* #4086 Set mongo featureCompat to 4.2
* #4108 Use --batchSize=10 in mongorestore
* #4117 fix: accept expires param at v3 api preview patch endpoint

## v2.21.14 - 25 September, 2021

* #4086 Upgrade mongodb images to 4.2
* #3681 CLI help fixes
* #4092 Update dependencies to next minors
* #4094 Document agent mongo upgrades
* #4037 Fix build/runvars cli update crash

## v2.21.13 - 11 September, 2021

* #4059 Upgrade mongoDB featCompat flag to 4.0
* #4065 release an upgrade lock if a server or ui upgrade fails
* #3923 allow renaming of environment variables
* #4057 document how upgrades are performed on server and ui services
* #4073 Restore copy / paste ability in xterm for Chrome users
* #4038 Enable prefers-reduced-motion for visualdiffs
* #4071 Add form validation for custom environment variables

## v2.21.12 - 28 August, 2021

* #3863 Upgrade Mongo services to Mongo 4.0
* #4035 Fix bug on New Repository form that scrolled user to empty page
* #4063 Prevent CLI from erroring when listing API keys with verbose option
* #4058 Implement Archictecture Decision Records using log4brains
* #4047 Update the logo on the API
* #4066 Add support for screen readers for job logs, service output, and TuSH

Created at 1 week ago
chore: upgrade to Tugboat v2.21.12-20

v2.22.3 includes a step to increase the Mongo featureCompatibilityVersion to 5.0 using the setFeatureCompatibilityVersion command. According to the MongoDB upgrade instructions, it is recommended to allow a burn-in period before doing this. We waited one week, but you may wait lower amounts of time.

Tasks:

  • [ ] Wait some time after v2.22.1 has been deployed
  • [ ] Verify that the current running version of Mongo is 5.0 docker ps --format "{{.Image}}" --filter "name=tugboat-mongo*"
  • [ ] Change directories to the Tugboat root: cd /opt/tugboat
  • [ ] Fetch the latest tags: git fetch --tags
  • [ ] Checkout v2.22.3: git checkout v2.22.3
  • [ ] Build: make && make install
  • [ ] Reload Tugboat: tbctl reload
  • [ ] Wait for Tugboat to start up successfully. For the lazy: wget --quiet -O- --tries=100 --retry-on-http-error=404,502,503 --retry-connrefused https://[tugboat-dashboard-host]/_status
  • [ ] Verify that the featureCompatibilityVersion of the Mongo service is 5.0 (Run docker exec -it tugboat-mongo[TAB] mongo and then db.adminCommand( { getParameter: 1, featureCompatibilityVersion: 1 } )
Created at 1 week ago
chore: upgrade to Tugboat v2.21.12-20

Glad to see this one getting dusted off! We've got two more steps to add to this, and then you all will be smooth sailing for future upgrades.

v2.22.1 upgrades the MongoDB service version to 5.0. This is a similar release to v2.21.12: we upgrade the version of the service that is running, but the featureCompatibilityVersion will stay at the 4.4 that was set with v2.21.20. To deploy v2.22.1:

Tasks:

  • [ ] Change directories to the Tugboat root: cd /opt/tugboat
  • [ ] Backup the Mongo database: util/backup.sh
  • [ ] Stop Tugboat: tbctl stop
  • [ ] Fetch the latest tags: git fetch --tags
  • [ ] Checkout this version: git checkout v2.22.1
  • [ ] Build: make && make install
  • [ ] Start Tugboat again: tbctl start
  • [ ] Wait for Tugboat to start up successfully. For the lazy: wget --quiet -O- --tries=100 --retry-on-http-error=404,502,503 --retry-connrefused https://[tugboat-dashboard-host]/_status
  • [ ] Verify the new version of mongo is 5.0: docker ps --format "{{.Image}}" --filter "name=tugboat-mongo*"
Created at 1 week ago
issue comment
feat: support websocket proxies

Fantastic, thank you for the quick reply, @jkyberneees! I'll go ahead and close this issue, but the current maintainers can re-open if they have interest in pursuing this within fast-proxy.

Created at 1 week ago
closed issue
feat: support websocket proxies

Prerequisites

  • [X] I have written a descriptive issue title
  • [X] I have searched existing issues to ensure the feature has not already been requested

🚀 Feature Proposal

Are there any plans to support proxying of websockets? Or perhaps this is already possible and just needs documentation?

Motivation

We are currently using node-http-proxy to proxy http and ws requests. We would like to refactor to use fast-proxy instead, but it does not appear that it's possible to proxy websockets with fast-proxy.

Example

No response

Created at 1 week ago
opened issue
feat: support websocket proxies

Prerequisites

  • [X] I have written a descriptive issue title
  • [X] I have searched existing issues to ensure the feature has not already been requested

🚀 Feature Proposal

Are there any plans to support proxying of websockets? Or perhaps this is already possible and just needs documentation?

Motivation

We are currently using node-http-proxy to proxy http and ws requests. We would like to refactor to use fast-proxy instead, but it does not appear that it's possible to proxy websockets with fast-proxy.

Example

No response

Created at 1 week ago
closed issue
Add webp support

Drupal and Wordpress support WebP images out of the box

Created at 1 week ago

Add webp support to GD

Add webp support

fix: outdent --with-webp command

#82 feat: enable WebP GD support in all PHP images

Created at 1 week ago
pull request closed
Enable WebP support in GD

Fixes https://github.com/TugboatQA/images/issues/82

Created at 1 week ago

fix: outdent --with-webp command

Created at 1 week ago
issue comment
Enable WebP support in GD

@serverbots test this please.

Created at 1 week ago
Created at 3 weeks ago
Created at 3 weeks ago
delete branch
q0rban delete branch grumphp-upgrade
Created at 3 weeks ago

Upgrade grumphp

Upgrade grumphp

Created at 3 weeks ago